return {
    "nvimtools/none-ls.nvim",
    dependencies = {"nvim-lua/plenary.nvim", "nvimtools/none-ls-extras.nvim"},
    config = function()
        local null_ls = require("null-ls")
        local helpers = require("null-ls.helpers")
        local lua_format = {
            meta = {
                url = "https://github.com/Koihik/LuaFormatter",
                description = "Reformats your Lua source code."
            },
            method = null_ls.methods.FORMATTING,
            filetypes = {"lua"},
            generator = null_ls.generator({
                command = "lua-format",
                to_stdin = true,
                format = nil,
                on_output = function(params, done)
                    done({{text = params.output}})
                end
            })

        }
        null_ls.setup {
            sources = {
                null_ls.builtins.formatting.alejandra,
                null_ls.builtins.formatting.black,
                null_ls.builtins.formatting.gofmt,
                null_ls.builtins.diagnostics.pylint, lua_format
            },
            debug = true
        }
        vim.keymap.set("n", "<C-s-i>", vim.lsp.buf.format, {})
    end
}
